package com.example.switchactivity;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity2 extends Activity {
	
	TextView resultFromAct1;
	EditText inputAct2;
	Button back;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main_2);
		resultFromAct1 = (TextView)findViewById(R.id.resultFromAct1);
		inputAct2 = (EditText)findViewById(R.id.inputAct2);
		back = (Button)findViewById(R.id.back);
		back.setOnClickListener(backBtnListener);
		
		Bundle b = getIntent().getExtras();
		resultFromAct1.setText(b.getString("myText"));
	}

	private OnClickListener backBtnListener = new OnClickListener(){

		@Override
		public void onClick(View arg0) {
			Bundle bundle = new Bundle();
			bundle.putString("resultFromAct2", inputAct2.getText().toString());
			Intent intent = new Intent();
			intent.putExtras(bundle);
			setResult(RESULT_OK, intent);
			finish();
		}
	};
}